Get all instance metadata of a Nacos services registry
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services/{nacos_service}/instances_metadata
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services/{nacos_service}/instances_metadataInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
service_registry_id*string
Service registry ID.
Length
1 <= lengthgateway_group_id*string
Gateway group ID.
Length
1 <= lengthnacos_namespace*string
Nacos namespace name.
Length
1 <= lengthnacos_group*string
Nacos group.
Length
1 <= lengthnacos_service*string
Nacos service.
Length
1 <= lengthResponse Body
application/json
curl -X GET "$API_BASE_URL/api/gateway_groups/86fb9981-d9d2-4555-9df8-91ae92129335/service_registries/86fb9981-d9d2-4555-9df8-91ae92129335/nacos/namespaces/public/groups/DEFAULT_GROUP/services/api7ee3-keycloak/instances_metadata"Successfully retrieved the Nacos instance metadata.
{
"value": {
"version": [
"1.0.0",
"1.0.1"
],
"env": [
"prod",
"staging"
],
"location": [
"beijing",
"shanghai"
]
},
"total": 3,
"list": [
{
"version": "1.0.0",
"env": "prod",
"location": "beijing"
},
{
"version": "1.0.1",
"env": "prod",
"location": "shanghai"
},
{
"version": "1.0.0",
"env": "staging",
"location": "beijing"
}
]
}Invalid arguments. Error details will be provided in the response.
Complete operation details and schema variants
GET /api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services/{nacos_service}/instances_metadata
Get all instance metadata of a Nacos services registry
IAM Action: gateway:GetServiceRegistry, Resource: arn:api7:gateway:gatewaygroup/%s
Parameters
service_registry_id(path, string, required): Service registry ID.gateway_group_id(path, string, required): Gateway group ID.nacos_namespace(path, string, required): Nacos namespace name.nacos_group(path, string, required): Nacos group.nacos_service(path, string, required): Nacos service.
Responses
200: Successfully retrieved the Nacos instance metadata.- allOf variant 1
list(array, optional): An array of resources.total(integer, optional): Total number of objects.- allOf variant 2
value(object, optional): An object of Nacos instance metadata.total(integer, optional):list(array, optional): Raw list of metadata for each instance.400: Invalid arguments. Error details will be provided in the response.
cURL
curl -X GET '$API_BASE_URL/api/gateway_groups/{gateway_group_id}/service_registries/{service_registry_id}/nacos/namespaces/{nacos_namespace}/groups/{nacos_group}/services/{nacos_service}/instances_metadata'